Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
knowledge_base_data_source = client.knowledge_base_data_sources.retrieve(
"knowledge_base_data_source_id",
)
print(knowledge_base_data_source.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
knowledgeBaseDataSource, err := client.KnowledgeBaseDataSources.Get(context.TODO(), "knowledge_base_data_source_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", knowledgeBaseDataSource.ID)
}
curl --request GET \
--url https://api.egp.scale.com/v4/knowledge-base-data-sources/{knowledge_base_data_source_id}const options = {method: 'GET'};
fetch('https://api.egp.scale.com/v4/knowledge-base-data-sources/{knowledge_base_data_source_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"data_source_config": {
"source": "S3",
"s3_bucket": "<string>",
"aws_region": "<string>",
"aws_account_id": "<string>",
"s3_prefix": ""
},
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"account_id": "<string>",
"description": "<string>",
"tagging_information": {
"type": "all",
"tags_to_apply": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Knowledge Base Data Sources
Get Knowledge Base Data Source
Description
Gets the details of a knowledge base data source
Details
This API can be used to get information about a single knowledge base data source by ID. To use this API, pass in the id that was returned from your Create Knowledge Base Data Source API call as a path parameter.
Review the response schema to see the fields that will be returned.
GET
/
v4
/
knowledge-base-data-sources
/
{knowledge_base_data_source_id}
Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
knowledge_base_data_source = client.knowledge_base_data_sources.retrieve(
"knowledge_base_data_source_id",
)
print(knowledge_base_data_source.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
knowledgeBaseDataSource, err := client.KnowledgeBaseDataSources.Get(context.TODO(), "knowledge_base_data_source_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", knowledgeBaseDataSource.ID)
}
Path Parameters
Response
Successful Response
- S3 DataSource Config
- SharePoint DataSource Config
- SharePoint Page DataSource Config
- Google Drive DataSource Config
- Azure Blob Storage DataSource Config
- Google Cloud Storage DataSource Config
- Confluence DataSource Config
- Slack DataSource Config
- Snowflake DataSource Config
- Databricks DataSource Config
- SQL Database DataSource Config
- MongoDB DataSource Config
- BigQuery DataSource Config
Show child attributes
Show child attributes
The unique identifier of the entity.
The date and time when the entity was created in ISO format.
The date and time when the entity was last updated in ISO format.
The user who originally created the entity.
The type of identity that created the entity.
Available options:
user, service_account The ID of the account that owns the given entity.
Show child attributes
Show child attributes

